
# deploy.js

**One-word deployment.**

[![Build Status](https://travis-ci.org/MarkTiedemann/deploy.js.svg)](https://travis-ci.org/MarkTiedemann/deploy.js) [![Dependency Status](https://david-dm.org/marktiedemann/deploy.js.svg)](https://david-dm.org/marktiedemann/deploy.js)

This project is currently under development by [@MarkTiedemann](https://twitter.com/MarkTiedemannDE).

The idea is to deploy local files to a remote server directory as easily as possible.

[SCP](https://github.com/spmjs/node-scp2) over SSH is used for file transfer.

## Quickstart

**1. Install [deploy.js CLI](https://www.npmjs.com/package/deploy-cli)**

```
npm install deploy-cli --global
```

**2. Create `deploy.yaml` file**

```
user:     whoami
password: noidea
host:     example.com
path:     /remote/path
```

**3. Run `deploy`**

## License

The [MIT License (MIT)](https://tldrlegal.com/license/mit-license) as found in [LICENSE.md](https://github.com/MarkTiedemann/deploy.js/blob/master/LICENSE.md).

Made with :heart:.
